Loading...
Searching...
No Matches
Ogre::BillboardParticleRendererFactory Class Reference
Core » Effects

Factory class for BillboardParticleRenderer. More...

`#include <OgreBillboardParticleRenderer.h>`

Inheritance diagram for Ogre::BillboardParticleRendererFactory:
[legend]

## Public Member Functions

ParticleSystemRenderer * | createInstance (const String &name) override
| Creates a new object.
const String & | getType () const override
| Returns the factory type.
Public Member Functions inherited from Ogre::FactoryObj< ParticleSystemRenderer >
virtual | ~FactoryObj ()
virtual void | destroyInstance (ParticleSystemRenderer *ptr)
| Destroys an object which was created by this factory.

## Detailed Description

Factory class for BillboardParticleRenderer.

## Member Function Documentation

## getType()

const String & Ogre::BillboardParticleRendererFactory::getType | ( |  | ) | const

override virtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

## createInstance()

ParticleSystemRenderer * Ogre::BillboardParticleRendererFactory::createInstance | ( | const String & | name | ) |

override virtual

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

The documentation for this class was generated from the following file:

- OgreBillboardParticleRenderer.h